package walk

import (
	"reflect"
)

func Walk(x interface{}, fn func(string)) {
	val := reflect.ValueOf(x)
	for i := 0; i < val.NumField(); i++ {
		if val.Field(i).Kind() == reflect.String {
			fn(val.Field(i).String())
		}
	}
}
